       10-Strike LANState
 (c) 2003-2008 10-Strike Software
----------------------------------
   What's new:

 * Version 4.2, December 2008 *
- Added ability to use keys in body of e-mail which is sent when a monitoring alert arises. The keys are the same as in screen messages.
- Disabled showing the OS and state icons when the map is zoomed out.
- Fixed incorrectly formed sender's address when sending SMS messages.

 * Version 4.1, October 2008 *
- Fixed bugs.

 * Version 4.0, August 2008 *
- Pro: Added retrieving and viewing the SNMP dump. You can export the data to a CSV file.
- Pro: Added automatic map size increasing when a new map is created (if devices do not fit on the map).
- Pro: Added hiding device comments when displaying a map via web interface.
- Pro: Added storing parameters of switches on the "Connection Table" window.
- Pro: Fixed error that occurred when the program was started under Windows Vista with User Account Control (UAC) enabled.
- Pro: Fixed error that occurred on exporting network map to MS Visio (the export did not work on some machines, but the program displayed a message that the export was successful). 
- Pro: Fixed error with the program hanging on receiving data from SNMP devices.
- Added dependent checks. The specified dependency checks must be successfully executed before the other monitoring checks can be run. Use dependencies to avoid receiving a flood of alerts, when servers on which other checks depend are down (VPN servers, routers, gateways).
- Added the "External application" monitoring check. The program monitors exit codes generated by external programs.
- Added VisualBasic and JavaScript monitoring checks. The program executes the scripts and monitors the results.
- Added ability to specify switches before network scanning in the "Network Map Creation Wizard".
- Changed algorithm of searching switches when a new network map is created. A larger number of models of switches can be detected.  
- Added importing hosts from text files containing IP addresses ("File - Import...").
- Added ability to enter administrator credentials for accessing and managing remote computers.
- Added ability to enter administrator credentials for restarting and shutting down remote computers.
- Added authorization in some monitoring checks and alerts.
- Added editing of the registry values on remote computers.
- Added retrieving additional information on remote services (path to the executable file, startup type, dependencies). The startup type can be edited remotely.
- Added switching to small/large icons without scaling of a network diagram.
- Added disabling of word wrap for device icon labels. 
- Added displaying configured alert notifications in the list of alerts (F2). 
- Added new fields to the map object list ("SNMP agent" and "Community"). This information can be included to reports.
- Added exporting map objects to a CSV file (for exporting to MS Excel).
- Added saving/loading allowed IP addresses to/from a text file (the "Search new devices" window).
- Fixed the "pointer operation" error when working with several network maps.
- Fixed displaying correct time and date on the "System information" window in the "Accounts" section (time zone is taken into account).

 * Version 3.9, April 2008 *
- Pro: Added increasing map size limits (The default size is 2048*1536 pixels). With two double-RAMDAC video adapters, the program can display your network map on 4 monitors!
- Pro: Added the "Connection Table" showing information on devices connected to switches with port numbers, etc. The table can be exported to a file.
- Pro: Added retrieving information from SNMP devices via SNMP protocol: common information, route table, MAC-IP table, ARP cache, TCP and UDP connections, statistics, etc. The information can be exported to a file.
- Pro: SNMP functions are moved to the "SNMP" submenu.
- Added the "Switch Port" check. You can be assured that a network device is connected to the same switch port. When it is connected to another switch port, you will get a notification.
- Added the map preview function for better map navigation.
- Added the "Draw Grid" and the "Show Map Preview" items to the "View" menu.
- Added background monitoring for detecting new hosts on network.
- Added automatic addition of newly detected devices to the map (this can be done automatically in background mode).
- Added fields for advanced device description (location, phone, owner, username, password, etc.) and fields for configuring Community strings for SNMP devices in the "Change Properties" window (Click the "Edit..." item on the device's context menu).
- Added new command line parameters for running external applications via the context menu "Actions" (username and password).
- Added fast copying of map devices' IP, MAC addresses, and comments to the clipboard.
- Added detecting port names via SNMP when building a network map. Previously, the program wrote only port numbers.
- Added exporting information from the window with found hosts to a file.

 * Version 3.8, February 2008 *
- Added mechanism for background searching for new network hosts in specified IP ranges (the "Service - Search new hosts" menu item).
- Added map scaling (zoom +/-).
- Added check failure icons which are displayed near device icons.
- Added checking whether a value obtained during the SMTP monitoring belongs to a specified range.
- Fixed the bug with switching icon sets in the program settings.

 * Version 3.7, November 2007 *
- Pro: Web network map now looks just like the program network map (lines and backgrounds were added).
- Added the Undo function to the network map editor (addition, deletion, editing, and moving of lines, areas, and objects can be cancelled now).
- Added FTP monitoring check.
- Added HTTP monitoring check.
- Added configuring of the default double-click action in the context menu.
- Added file masks to file existence monitoring check.
- Fixed the bug with wrong service state detection in the service monitoring mechanism.

 * Version 3.6, August 2007 *
- Added icons (by the host icon on the map) identifying the OS loaded on the host.
- Added turning on a group of computers via network.
- Improved the object alignment function with the tabular method.
- Added Windows services check to the hosts monitoring engine.
- Added checking for processes with a specific name to the hosts monitoring engine.
- Added automatic restarting (starting, stopping) of services on alert.
- Extended options for locating object on the map. Added searching by IP, MAC address, comment.
- Added automatic insertion of current date and time, device's signature on the map to the message text when an alert triggers (see the description of keys in the application's settings window, section "Alerts"). 
- Added stopping the loading of EventLog records from remote computers.
- Fixed the error in the map editor - lines attached to objects sometimes failed to move when the objects were dragged. To fix the error, we have removed the appearance option "Move text".
- Fixed a number of errors occurred when running the application under Windows Vista.
- Added sending message (on alert) to multiple e-mail addresses. The addresses are to be listed via semicolon.

 * Version 3.5, June 2007 *
- Added moving object to cursor on line (holding the Ctrl key down).
- Added printing map with highlighted icons regardless to their actual state.
- NetBIOS check added to the host monitoring mechanism. 
- Added 4 new device types: cluster, mainframe, tablet PC, video projector.
- Text labels to objects appeared black in Windows Vista. Fixed.
- Fixed bugs related to moving objects in the map editor.
- When attempting to open a file with the map already open, the program activates the open instance of the map.
- Function "Wake On LAN" was out of order. Fixed.

 * Version 3.4, April 2007 *
- Fixed the bug with moving areas and hosts.
- Removed the "Automatically scan network on startup" setting.

 * Version 3.3, March 2007 *
- Implemented new network search mechanism, which features: 
 1) High scanning speed (~16 addresses/sec., range of 1300 addresses will be scanned in 1 min and 20 sec.)
 2) Recognition of diverse hardware types: printers (local and network), switches, hubs, servers, database servers, routers, WiFi access points, etc. 
 3) Combination of several efficient network hardware search methods.
 4) Retrieving data from hardware via SNMP (switches, printers, WiFi, etc.)
 5) Automatically building network map by drafting over data received from switches 
 6) Automatic retrieving of additional information on found hosts (IP and MAC addresses, NIC manufacturer, DNS name, OS type, connected printers, descriptions.)
 7) Scanning several IP ranges. 
 8) When found devices are placed on the map, they are automatically scheduled for specific automatic checks. 
- Added the automatic drawing of network map with links upon reception of data over the SNMP protocol.
- Optimized monitoring algorithm. Significantly (~ 2x) speeded up checking objects on the map. 
- Added ARP and MAC address monitoring check. Be notified on MAC address changes.
- Added SNMP monitoring check. Monitor router's capacity and rise alerts on traffic overload.
- Added new hardware types - local printer and hub.
- Pro: For each new map being exported, the program creates a separate document in the Visio format.
- Pro: Improved exporting map to Visio. The size of the Visio document is made to fit the map's actual dimensions.
- The button for opening the map objects list is moved to the large toolbar. Redundant columns removed from the list. New columns added to the list.
- Improved line drawing mechanism. Removed "snapping" lines ends to other lines ends. 
- Fixed bugs with remembering map in the maps list. Removed actions of "Remember" and "Remember As...".
- Updated NIC manufacturers database.

 * Version 3.2, February 2007 *
- Pro: Added exporting network diagram to Microsoft Visio.
- Pro: Added automatic refresh to web diagram.
- Pro: Changed web diagram's appearance (icons' paths and formats were also changed).
- Added ability to use custom device icons.
- Added DNS check.
- Added scheduled downtime support.
- The setting "Prompt saving map on exit" changed to "Save maps automatically on exit" (switched on by default).
- Network map's appearance settings moved to the individual window.
- Added the secondary horizontal toolbar. The main toolbar's buttons were modified.
- Fixed the logics of drawing multi-segment lines.
- Fixed the bug with moving areas and hosts inside scrolled map area.

 * Version 3.1, January 2007 *
- Areas are now moved with both hosts and lines inside them.
- Network map's appearance settings (wallpaper, gradient, font, icon size, etc.) are stored inside the .lsm file. Now you can use different wallpapers (floor plans) for different maps.
- Added exporting reports to XML and CSV formats.
- Service dependencies are taken into account when stopping services remotely.
- Added copying registry paths and values to clipboard. You can now open the window with the list of parameters and values by double-clicking on the string with the necessary parameter and copy those values to clipboard also.
- Added adding the separator line to the "Actions" context menu.
- Added getting PID of remote processes.
- Added balloon tip and sound notification on completion of IP addresses scanning.
- Fixed the transparency slider on the settings window.
- Added new cursors for the line and area drawing mode.
- Fixed some shortages in the line and area drawing mechanism.
- Added sorting by columns in the remote registry window.
- Added displaying IP address in map object hints.
- Changed hotkey for the remote shutdown.
- Fixed the bug with not redrawing lines and areas after changing display settings under Windows XP.

 * Version 3.0, October 2006 *
- Completely rebuilt host monitoring mechanism. Added setting individual monitoring options and individual check interval value for each device. Thus, you can now check different TCP ports of devices (where setting of only one port to be checked for all devices was available). Beginning with this version, checks and alert settings are stored in map files; the file 'alert.ini' is no longer used. When the version 3.0 of the program is run for the first time with the old maps, the program will suggest you to import settings from the file 'alert.ini' to the current map. After that, 'alert.ini' will be deleted, and the map will have to be saved once again. It is recommended to make sure that all checks and alert settings are imported properly. If necessary, edit the settings by hand. Unfortunately, when using multiple maps, check settings will be imported to the first old map only. For the other old maps, the checks will have to be entered all over.
- Added several new types of checks: folder exists (including monitoring the number of files in the folder), file exists (with the check for the availability of a specified string in the file), file size, free disk space (folder size). The type of check to be run is set on the first step of the Monitoring Settings Wizard.
- Changed alert mechanisms. Notification parameters are set on the second step of the Monitoring Settings Wizard.
- The background check of objects' state is now run in multiple threads (the number of threads can be adjusted); this allows checking hundreds of objects within seconds. However, please remember: Windows XP SP2 has a restriction for the number of connections allowed to different addresses per certain amount of time (not more than 10 addresses per 10 seconds). In this case, TCP port checks will be slowed down by the operating system.
- Changed the function of viewing the checks (alerts) list. Added the capability of tracking check results.
- Added 8 new hardware types (time server, radio router, game device, DVD player, media player, IP-telephony (gateway, phones)).
- Added capability of receiving the list of disk drives from a remote computer.
- Added capability of receiving the list of global groups from a remote computer.
- Optimized the TCP port scanner function for scanning networked objects. The scanning speed significantly improved.
- Broadened information on user accounts on a remote computer. Added the capability of obtaining the date and time of the last logon, password change, permissions change, etc.
- Added the capability of managing services on a remote computer (starting, stopping, etc.), provided you have the administrator privileges.
- Added the new parameter - "Do not check. Always on." - to object properties. An object with this parameter on will always appear enabled on the map, and the program will not check its state (handy for switches, hubs, etc.)
- Improved the function of assigning permissions to shared folders. You can now set access type (read only, read/write, run, etc.) Before this improvement, access type parameters were ignored.
- When an object search is completed successfully, the program will scroll the map if the object is beyond the visible area.
- In the map statistics window, you can see the number of objects of this type responding to ping (following the slash).
- Now available copying scanning-by-IP-address results to clipboard. The function is available on the results field's context menu.
- All lists used in the program adopt hotkeys: Del (delete), Ins (add), F5 (refresh), etc.
- Added the "Comment" key in the context menu settings, in the launch command generation items. Setting this key allows placing data from the "Comment" field (object's properties window.)
- Added the capability of setting the order of the context menu items.
- In the Network Map Creation Wizard, added the capability of choosing the network interface, according to which the program will automatically fill the IP range to be scanned.
- Implemented the remembering of the last entered IP range (see the "Scanning by IP Addresses" window.)
- The setup file is packed with a number of exclusive sound files to be used for monitoring and connection alerts.
- All settings for the text message exchange function are moved to the settings window (see the "Messages" section.)
- Only active hosts will be processed in the "Objects List" window when detecting hosts' MAC addresses via NetBIOS; thus, the function performs much faster.

 * Version 2.4 Pro, July 2006 *
- LANState Pro released. It is the most advanced version of the program, which contains a built-in web server. With its help you are able to install the software on a single computer, so users and administrators of your network are able to see which hosts are switched on/off, using their web-browsers only.

 * Version 2.4, April 2006 *
- Added new icons for menus, toolbars, and map objects.
- Added new types of network devices and map objects (ADSL modems, cameras, firewall, file server, etc). There are 24 different objects supported in the program now.
- Added ability to set when the program should rise alerts after the program's start (always or only on host state changes).
- Added flashing tray icon when remote user connects to your shared resources.
- Added thickness and style settings for lines and area borders.
- Added displaying of lines' names. Line name is drawn near the line with the same angle. For example, you can assign line's name to connection's bandwidth: "100 mbit".
- Added icons to the menu "Actions".
- Added ability to shut down a group of computers. You can press hotkey Ctrl+Shift+F12 to call this function.
- Added map export to JPEG and PNG image formats.
- Added showing messages as balloons in system tray (alerts and remote user connections).
- Added new menu item to the tray context menu "Recheck devices" which starts background map pinging.
- Added ability to connect remote resources as network drives on the "System Information" window (section "Resources").
- Added hotkey F5 for refreshing the content of the "System Information" window.
- Added displaying login of the connecting user on the information window.
- Fixed missing map objects in the "Network tree" window.
- Fixed saving log files to wrong folders.
- Fixed showing negative number of active threads in the status bar on the main window.
- Fixed rare disappearing of items of the menu "Actions" and black list settings.
- Fixed some minor bugs.

 * Version 2.3, February 2006 *
- Added the Information Report Wizard for creating reports on remote computers.
- Added the New Network Map Creation Wizard for easier map building.
- Added toolbar on the "System Information" window.
- Fixed showing of all local computer's MAC-addresses on the "System Information" and "Object list" windows.
- Fixed MAC-address detection when host name was typed in lower case.
- Optimized MAC-address detection through NetBIOS.
- Fixed error that occurred when detecting MAC-address of Internet hosts, which hung up the version 2.2.

 * Version 2.2, January 2006 *
- Added getting list of installed software on remote computer.
- Added button for getting domain information on the window "System Information", in "General" section.
- Added ability to save log files.
- Fixed error that occurred after saving new map, some lines and areas disappeared.
- Fixed error that occurred after saving network map to XML scheme.
- Fixed error in "Get MAC and IP addresses" function, MAC-addresses were not detected sometimes.
- HTML-report's design changed ("Table of network host names, IP, and MAC-addresses").
- Background pinging operations improved.
- Fixed errors which occurred on systems with Intel Pentium 4 CPUs with HyperThreading technology.
- New Try'n'Buy limitation policy. Now you can place more than 5 objects per map, use background pinging and other features. But you will not be able to save and load maps while the software is unregistered.

 * Version 2.11, December 2005 *
- Fixed error when lines disappeared after minimization of the program under Windows XP.

 * Version 2.1, December 2005 *
- Added ability to set the position of a background image (tile, center, stretch, etc).
- Added ability to open maps using Drag'n'Drop to the main LANState window from the Explorer.
- Line drawing extended (thickness and styles supported).
- Map format changed: you will be asked to save your maps.
- Use ESC to exit from line/area editing mode.
- Map saving notifications fixed (unsaved data notification could not been shown sometimes).
- Connection and alert logs are scrolled down to the end of log automatically when they are displayed.
- Fixed error that occurred when adding new hosts to map from the IP address range scanning window.
- The context menu added to the IP address range scanning window, which allows selecting/deselecting all found hosts.
- Icons added to the status bar. You can watch map stats when pointing mouse cursor at "Devices" section.
- Correct program operation under Windows9x (95,98,ME) is not guaranteed in this version.
- Grid alignment added for map objects.
- Thread operations and stability improved.

 * Version 2.0, November 2005 *
- Remote event log viewing added.
- Map size extended to 2000x2000 pixels. You can scroll the map (with background image) using PgUp, PgDn, Home, and End keys.
- Fixed error that occurred when scrolling the map: lines and areas displayed incorrectly.
- Added ability to choose a code page for sending alerts via e-mail.
- Added exporting map to XML-scheme.
- Printing functionality improved.
- New "Print" button added on the main toolbar.
- Added hotkeys: Settings - "P", Printing - "Ctrl-P".
- Added exporting map to the BMP format without wallpaper image.
- Fixed error when areas did not delete in the area editing mode.
- Fixed a little bug with showing messages on alerts.
- Added JPG file support for wallpaper image.
- Added ability to change a color of all areas simultaneously.

 * Version 1.7, September 2005 *
- First English release.
- Fixed error that occurred when the Wake-on-LAN procedure was called with a blank MAC address field.
- Fixed error that occurred in Windows XP and was related to incorrect functioning of exporting data to the BMP format and printing it.
- Added canceling all active processes (ping, domain name resolution). Main menu | Service | Kill all active threads.
- Fixed several shortages that occurred during redrawing with XP-manifest in Windows XP.
- Fixed error that occurred when the list domain's computers function was called (Domain-Open), which was common for Windows XP.
- Fixed error that occurred when user navigated through maps (Windows XP). 
- Improved domain information retrieval function. Eliminated "freezing" the program when access to domain controller is unavailable.
- Added toggling XP-interface support (Settings-View).

 * Version 1.6, June 2005 *
- Icons' background on the map is now transparent. 
- Added color selection for connecting lines. 
- Added Wake-on-LAN function. 
- Added menu item "Main menu | Service | Get MAC and IP addresses". 
- Added retrieving miscellaneous information on domain. 
- Fixed error in loading map from command line. 
- Fixed error in the ping function, which sometimes registered responses from unavailable hosts. 

 * Version 1.5, May 2005 *
- Added menu item "File | Close". Closes current map. 
- Added remote ports search (TCP and UDP). System information | Ports 
- Remote hosts' OS type and version are detected more precisely. 
- Updated domain name resolution in "System information". 
- Delimited "Actions" menu items by object type. Only items available for particular object type are now displayed on the menu. 
- Enabled sorting hosts by name in the message recipient selection window and import from network neighborhood. 
- Added filter and search toolbar hide/show button in the log view window. 
- Added listing active processes on remote computer ("System information"). 
- Added support for E-Mail alerts through server that requires POP-authentication. (see Alert settings) 
- Eliminated redundant fields on the "E-mail" tab in the alert settings window. 
- Added the "Close message window" option (on alert) in N seconds. 
- Added retrieving list of groups from remote computer. 
- Alerts no longer trigger right after the program starts; they now trigger on change of an object status. 
- Added the map printing function. 
- Added the switch and proxy-server icons. 
- Added resizing and dragging areas.
- Added resolving network adaptor manufacturer's name in the "Object list" and host properties windows. 
- Added copying group of objects to clipboard and pasting them to other maps. 
- If the number of background ping packets is greater than one, the remaining packets will be sent to host despite the negative response to the first packet sent to the host. This eliminates possibility of recognizing a false object status when one packet is lost. 
- Added aligning objects to grid vertically and horizontally. 
- Added stopping MAC addresses resolution in the objects window. 
- Fixed minor logical error in the alert algorithm. 
- Menu item "Turn off computer" renamed to "Shut down". 
- Added setting "Add new only to map" in the window "Scan network by IP addresses". 
- Fixed error that occurred during the "Remember map as..." operation, because of which areas could not be remembered. 
- In the "Name on map", in the "Alerts" window, device name or IP address was displayed. Fixed. 
- Added tracing route to a certain host (the tracert procedure). 

 * Version 1.4, February 2005 *
- Added drawing areas with labels on map (adding, editing, deleting, saving, loading). 
- Changed map's context menu. For the sake of convenient editing, the main menu items: "Draw lines" and "Add areas" were added. Deleted redundant items. 
- In the window "System Information", on the "General" tab, added the "DNS-name" setting. 
- Information from the "System Information" window could not be copied to clipboard every other time. Fixed. 
- Fixed error sending alert mail. 
- Changed map redraw mechanism. No more blinking on moving map objects. 
- Changed logging mechanism. Speed optimization and error prevention came out as result. 
- Added alert log settings (similar to those in the connections log). 
- Added canceling network scanning process (network neighborhood).
- Fixed error on moving objects to map from the scan by IP address window. 
- Fixed error on performance of some threads. Particularly, the background ping process (the errors used to occur with the Intel Pentium 4 processors that supported the HyperThreading function). 
- Fixed error in the ping function, which pinged hosts, IP addresses did not belong to network boundaries. 
- Fixed error that occurred on retrieving properties of an object just added to map. 
- Fixed logical error that occurred on calling the "Ping selected" function. 

 * Version 1.3, January 2005 *
- Added placing objects to map through importing new devices only from network neighborhood; i.e. those that are not yet on the map. This makes it easier to maintain actuality of maps for dynamically growing, large networks. 
- Extended the search function - added search by substring. 
- Added copying data from the "System Information" window to clipboard.
- Optimized retrieving MAC addresses of computers on the Objects list - speeded up performance. 
- Changed the "Ping" function logics ("Main menu | Device | Ping"). Now, when no response is sent for a data packet, the function does not halt and does send the remaining number of packets (similarly to the system's ping function). 
- Fixed critical error that occurred in the unregistered version of the program during network scanning. 
- Extended alerts and connections log view function. Added search and filter functions. 
- Changed the MAC addresses retrieval logics (via ARP). Improved performance. 
- Added the "Stop" button to the ping window's interface to let user stop the ping process. 
- The ping interval in that function is now set to 1 second. 
- Fixed incorrect sizing and positioning of windows on exiting from full-screen applications (e.g., games). 
- Added another method for retrieving MAC addresses - via NetBIOS. Slow but sure method to obtain addresses of ALL of the host's adaptors. 
- Added changing transparency grade of the program's main window. 
- Changed host's IP addresses retrieval logics. All addresses available for a remote device can now be retrieved. 
- Added saving changes in settings for scanning by IP address and ping functions. 
- Extended background ping functionality. You can now ping host's specific TCP port. 
- Fixed error on gaining access to object's properties that occurred after deleting a group of objects. 
- In the "System Information" window, on the "Registry" tab, added status bar, which displays current registry path. 
- Added WWW server icon. 
- Added the "Cut DNS suffix" in scanning network by IP address range. 
- Added 3rd method for sending message to a remote computer. 
- Added closing current map. 
- During the window-based ping, depending on the result, the program changes icon of the device being pinged (similar to the "Ping Selected" function). 
- Messages in the message archive are now sorted automatically, by time. Along with that, messages can be sorted by text contained in other columns.
- Added the "User" setting to the connections "blacklist". You can now keep your resource unavailable not only for specific hosts but for specific users as well. 
- Added saving maps list to settings file. 

 * Version 1.2, June 2004 *
- Added viewing current connections on remote computer (WINDOWS NT/XP/2000 only). 
- Added setting a period of time, during which the connection information window remains visible. 
- Added retrieving data on remote computer's shared resources and quick scanning of them. 
- Fixed errors on importing devices from maps list, saving BMP file during exporting, and loading message archive. 
- Fixed memory allocation errors. The amount of memory used by the program pretty much does not increase. Fixed the same error in descriptors.
- Fixed format of data registered in the connections log. The data now appears as follows: Date | Time | ComputerName | UserName | Resource.
- Added sorting by column in all lists. 
- Added setting map as wallpaper. You can now draw your office layout in any image editor, then save the image as a BMP file, and use it as "mat" for the map. 
- Fixed error in background ping interval. 
- Added ProgressBar to StatusBar - you can now watch status of background ping and other processes. 
- Changed appearance of the main menu; items are now sorted with clearer order logics. 
- Fixed some of the program's functions. 
- Added retrieving data on remote user account information. 
- Inactive hosts are now dimmed with gray color on the map; this provides greater contrast for reading the network map. 
- Added connections log structure setup. To save system's resources, you can disable registering some data in the log, e.g., file names. 
- Debugged retrieving data on connections in Windows'98. 
- Got rid of LANState.dll. The library's functions have been moved to the program's code. 
- Added viewing remote computer's registry (certain sections). 
- Added scanning network by IP addresses. 
- Added pinging selected devices only. 
- Optimized message archive's performance. Added menu item "Main menu | Logs | Message Archive". 
- Added obtaining statistics on the map. 
- New hotkey - F6 - re-check devices on the map.
- Added viewing all objects on the map as list, which displays host names, IP and MAC addresses. You can now generate an HTML report and print it out. 
- Added the "Ping on adding" option to ping object once it has been added to map. 
- Optimized background ping function - improved the program's performance.
- Added retrieving list of services running on remote computer.
- All remote computers' information is now displayed in a separate window. 

 * Version 1.1, December 2003 *
- Added event alerts (objects available/unavailable).
- Added background ping priority setting to the program's settings.
- Fixed some shortages in the "Remote shutdown" function.
- Fixed glitch with remembering the map and selecting it on the list.
- Modified the function of searching for computer by its IP address. You can now search for it on the network or on the map, which is much faster; however, there is a possibility that it will not be detected properly if its IP address has changed, and the map has not been refreshed. 
- The program now displays a more informative error message on error scanning the network, so you can try scanning the network again.
- Search on the map: on the negative search result, the program displays the appropriate message. 
- Added context menu setup for devices on map. 
- Added placing computers to map from network tree. 
- You can now open several network map files at once. Their names will be added to the Map list automatically. 
- Added associating the file type "LANState Map" (.lsm) with the corresponding application. You can double-click on a map in Window Explorer, and the system will load LANState with the selected map in it. 
- Fixed error accessing to settings file when it is located on a write-protected media. 
- Fixed glitches in scanning network in WINDOWS XP. 
- Fixed background ping error if current computer (running LANState) is on the first position on the list of computers (on the map). 
- The program used to not remember the computer description on adding a new computer from network neighborhood. Fixed. 
- Added an interesting function: When a WINPopup (net send) message arrives, you can press the WIN+P combination of keys and have the new message editor window with recipient data filled in (the same as the "from" line of the received message), and the quoted original message. 
- You can now close or leave open the message window once it has been sent.
- Added the Message Archive function. Now all incoming/outgoing messages are registered in the log file.
- Added user-defined hotkey setup (when the program is running in system tray). 
- Changed appearance of the "Connections" window - all settings have been moved to the "Настройки" window, which can be opened by clicking the "Settings" button. The same is effective for the "Blacklist" function. 
- The main menu ("File") has been added with the "Logs" item, which allows viewing Connections log and Alerts log. 
- Changed format of data registered in logs; it is now more compact and human-readable. 
- You can now align objects on map by various criterions. 
- You can now specify object type (printer, server, router...) and select an icon for it on adding a new object to map (or editing an existing object). 
- In the "Network Tree" window (which opens on adding devices to map through the "Import..." and on selecting recipients when sending a message) added the "Maps" node, which contains the maps' device lists. 

 * Version 1.0, August 2003 *
- First release of LANState.
